/*
 * @Author: Kane
 * 
 * @Date: 2023-01-23 22:56:17
 * 
 * @LastEditors: Kane
 * 
 * @LastEditTime: 2023-10-06 00:32:47
 * 
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/web/controllers/FileUpload/FileUploadResult.java
 * 
 * @Description:
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved.
 */

package com.cpic.xim.web.controllers.fileupload;

import java.util.Vector;

import com.cpic.xim.utils.files.UploadedFile;
import com.cpic.xim.web.controllers.QueryResponse;
import com.fasterxml.jackson.annotation.JsonProperty;

@SuppressWarnings( "unused" )
public class UploadFileResponse extends QueryResponse
{
    public UploadFileResponse()
    {
        super();
    }

    /**
     * 构造函数
     * 
     * @param success  是否上传成功
     * @param message  消息字符串
     * @param fileList 文件绝对路径字符串数组
     */
    public UploadFileResponse(
            boolean success,
            String message,
            Vector<UploadedFile> fileList
    )
    {
        super( success, message );

        this.fileList = fileList;
    }

    public Vector<UploadedFile> getFileList()
    {
        return fileList;
    }

    public void setFileList( Vector<UploadedFile> fileList )
    {
        this.fileList = fileList;
    }

    @JsonProperty( "fileList" )
    private Vector<UploadedFile> fileList;
}

